六种在 Linux 上为你带来 iTunes 般体验的方法
================================================================================
![](http://cdn.makeuseof.com/wp-content/uploads/2015/04/itunes-linux-840x420.jpg?35dc20)

随着你对 Linux 的熟悉（也许会成为你首要使用的操作系统），你终将会寻找能在 Linux 上有效管理音乐的工具。你首先想到 iTunes，因为它是近几年最流行的音乐管理工具，但你马上会发现 iTunes 并没有 Linux 版本。而且，现在，你会发现还有比 iTunes 更好的音乐管理工具。

尽管如此，这并不意味着你就不能使用你喜欢的方式管理音乐。Linux 上有很多方式可以让你整理你的曲库。以下六种，仅供参考：

### 通过WINE运行iTunes ###

尽管 iTunes 没有Linux版，你还是可以试试 [使用 WINE 运行 iTunes ][1] 或 PlayOnLinux 的。这些软件给本来只能运行于Windows下的应用程序添加一个兼容层，这样就能让他们运行在Linux上了，但这样的方法效果十有分限。因此，[并非所有 Ｗindows 应用程序都能使用WINE运行][2] - 但这还是一个值得尝试的方法。

各个版本的iTunes结果可能给你不同的结果，但一般都遵循以下方法：

1. 安装WINE
2. 在WINE里运行iTunes安装程序
3. 在网上搜索并解决你遇到的问题。

如果你在安装时遇到无法解决的问题，比如安装程序错误，或者安装好的程序运行不了，那是没办法的，WINE 就是这样。

如果你想在 WINE 上运行 iTunes 而且运气很好的跑起来了，那真是很棒。但如果你还想考虑运行一个原生的Linux应用，或者 WINE 不工作的话，还有很多其他选择的。有几个曲库管理软件能让你很方便的管理你的音乐并直接进行播放，还可以制作播放列表。

### [Amarok][3] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/amarok_main.jpg?35dc20)

如果你使用KDE环境，我推荐 Amarok。它具有 [很多管理音乐的特性][4] 而且它还能与KDE桌面环境无缝兼容。它有很多实用的特性如集成了 Last.FM、文件跟踪、动态播放列表及脚本支持。它甚至会自动在你播放曲目时，自动下载艺术家封面。

### [Banshee][5] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/banshee_main.jpg?35dc20)

如果你使用 GNOME 或其他任何基于 GTK 的桌面环境（它们十分常见）的话，我推荐使用使用Bansee作为 [全功能曲库管理工具][6] 。它的功能与Amarok类似，也集成了Last.FM，支持互联网广播，支持podcast等等。选择 Amarok 还是 Bansee 要看你使用的桌面环境（这样才能无缝整合）。 

### [Rhythmbox][7] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/rhythmbox_main.jpg?35dc20)

Rhythmbox是一个更好基于GTK的桌面环境的[轻量级的曲库替代品][8]。尽管如此，它也还是有一些自己的特性的。它也支持Last.FM，同时还能无缝播放并与其它如 Nautilus、XChat及Pidgin 等进行整合。

### [Clementine][9] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/clementine_main.jpg?35dc20)

另一款叫 Clementine 的软件也值得我推荐，因为它的界面简洁、易用。它支持非常多的第三方服务例如Spotify，Digtal Imported 及Dropbox。Android系统上还有一款用作 Clementine 遥控的app。[Clementine是跨平台的][10] ， 还支持Mac OS X 及 Windows。

这些程序都能很好的管理并播放你的音乐。唯一的问题是这些程序都不支持与 iOS 设备的整合， 而且目前Linux 上还没有程序能做到这一点。但 iOS 经过很多改进后，已经并不需要再连接到电脑了。

### [Google Play Music][11] ###

![](http://cdn.makeuseof.com/wp-content/uploads/2015/03/google_music.jpg?35dc20)

最后，如果上面的那些程序还不能满足你的需求的话，你可以试试 Google Play Music。这个在线服务也可以用作播放音乐的曲库管理工具，但它还有几个额外的好处。你可以上传所有的音乐，并且在所有能上网的设备上获取这些音乐。这也意味着你不需要在电脑或者移动设备之间同步你的音乐（无论是 Android 还是 iOS 设备），因为你可以这些设备中使用Google Play Music。 如果你想要扩展你的曲库，你可以订阅 All Access 服务，但这并不是必须的。你不需要支付任何费用也可在你的曲库中储存20,000首

#### 靠，居然没有 Spotify ?! ####

尽管 Spotify 也是一款管理和听音乐的方法，我不推荐它的唯一原因是它事实上并不让你管理你的音乐。你不能将曲目上传到 Spotify - 只能它们给你提供的曲目。尽管它们提供了很多，但口味未必一样。


### 你还有其他选择 ###

以上六个软件应该可以在给你带来类似 iTunes 的功能了。这些软件主要是能让你管理和播放你的曲库，但如果你还需要 iTunes 里的其他特性，其他Linux原生软件或许能满足这类需求。

**你通常在Linux上使用哪些音乐？**在下方评论与我们分享吧！


--------------------------------------------------------------------------------

via: http://www.makeuseof.com/tag/top-6-ways-get-itunes-experience-linux/

作者：[Danny Stieben][a]
译者：[KevinSJ](https://github.com/KevinSJ)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.makeuseof.com/tag/author/danny/
[1]:http://www.makeuseof.com/tag/how-about-some-wine-with-your-linux/
[2]:http://www.makeuseof.com/answers/does-wine-runs-all-windows-apps/
[3]:https://amarok.kde.org/
[4]:http://www.makeuseof.com/tag/control-music-amarok-linux/
[5]:http://banshee.fm/
[6]:http://www.makeuseof.com/tag/banshee-20-comprehensive-media-player-streamer-podcast-tool-linux/
[7]:https://wiki.gnome.org/Apps/Rhythmbox
[8]:http://www.makeuseof.com/tag/play-manage-music-collection-rhythmbox-linux/
[9]:https://www.clementine-player.org/
[10]:http://www.makeuseof.com/tag/need-a-lightweight-music-player-without-sacrificing-features-clementine-cross-platform/
[11]:http://music.google.com/
