Linux 系统是否适合于您？
================================================================================
> 并非人人都适合使用 Linux --对许多用户来说，Windows 或 OSX 会是更好的选择。

我喜欢使用 Linux 桌面系统，并不是因为软件的政治性质，也不是不喜欢其它操作系统。我喜欢 Linux 系统因为它能满足我的需求并且确实适合使用。

我的经验是，并非人人都适合切换至“Linux 的生活方式”。本文将帮助您通过分析使用 Linux 系统的利弊来供您自行判断使用 Linux 是否真正适合您。

### 什么时候更换系统？ ###

当有充分的理由时，将系统切换到 Linux 系统是很有意义的。这对 Windows 用户将系统更换到 OSX 或类似的情况都同样适用。为让您的系统转变成功，您必须首先确定为什么要做这种转换。

对某些人来说，更换系统通常意味着他们不满于当前的系统操作平台。也许是最新的升级给了他们糟糕的用户体验，而他们也已准备好更换到别的系统，也许仅仅是因为对某个系统好奇。不管动机是什么，必须要有充分的理由支撑您做出更换操作系统的决定。如果没有一个充足的原因让您这样做，往往不会成功。

然而事事都有例外。如果您确实对 Linux 桌面非常感兴趣，或许可以选择一种折衷的方式。

### 放慢起步的脚步 ###

第一次尝试运行 Linux 系统后，我看到就有人开始批判 Windows 安装过程的费时，完全是因为他们20分钟就用闪存安装好 Ubuntu 的良好体验。但是伙伴们，这并不只是一次测验。相反，我有如下建议：

- 用一周的时间尝试在[虚拟机上运行 Linux 系统][1]。这意味着您将在该系统上执行所有的浏览器工作、邮箱操作和其它想要完成的任务。
- 如果运行虚拟机资源消耗太大，您可以尝试用提供了[一些持久存储][2]的 USB 驱动器来运行 Linux，您的主操作系统将不受任何影响。与此同时，您仍可以运行 Linux 系统。
- 运行 Linux 系统一周后，如果一切进展顺利，下一步您可以计算一下这周内登入 Windows 的次数。如果只是偶尔登录 Windows 系统，下一步就可以尝试运行 Windows 和 Linux 的[双系统][3]。对那些只运行了 Linux 系统的用户，可以考虑尝试将系统真正更换为 Linux 系统。
- 在你完全删除 Windows 分区前，更应该购买一个新硬盘来安装 Linux 系统。这样有了充足的硬盘空间，您就可以使用双系统。如果必须要启动 Windows 系统做些事情的话，Windows 系统也是可以运行的。

### 使用 Linux 系统的好处是什么？ ###

将系统更换到 Linux 有什么好处呢？一般而言，这种好处对大多数人来说可以归结到释放个性自由。在使用 Linux 系统的时候，如果您不喜欢某些设置，可以自行更改它们。同时使用 Linux 可以为用户节省大量的硬件升级开支和不必要的软件开支。另外，您不需再费力找寻已丢失的软件许可证密钥，而且如果您不喜欢即将发布的系统版本，大可轻松地更换到别的版本。

在 Linux 桌面方面可以选择的桌面种类是惊人的多，看起来对新手来说做这种选择非常困难。但是如果您发现了喜欢的一款 Linux 版本（Debian、Fedora、Arch等），最困难的工作其实已经完成了，您需要做的就是找到各版本的区别并选择出您最喜欢的系统版本环境。

如今我听到的最常见的抱怨之一是用户发现没有太多的软件能适用于 Linux 系统。然而，这并不是事实。尽管别的操作系统可能会提供更多软件，但是如今的 Linux 也已经提供了足够多应用程序满足您的各种需求，包括视频剪辑（家用和专业级）、摄影、办公管理软件、远程访问、音乐软件、等等等等。

### 使用 Linux 系统您会失去些什么？ ###

虽然我喜欢使用 Linux，但我妻子的家庭办公依然依赖于 OS X。对于用 Linux 系统完成一些特定的任务她心满意足，但是她需要 OS X  来运行一些不支持 Linux 的软件。这是许多想要更换系统的用户会遇到的一个常见的问题。如果要更换系统，您需要考虑是否愿意失去一些关键的软件工具。

有时这个问题是因为软件的数据只能用该软件打开。别的情况下，是传统应用程序的工作流和功能并不适用于在 Linux 系统上可运行的软件。我自己并没有遇到过这类问题，但是我知道确实存在这些问题。许多 Linux 上的软件在其它操作系统上也都可以用。所以如果担心这类软件兼容问题，建议您先尝试在已有的系统上操作一下几款类似的应用程序。

更换成 Linux 系统后，另一件您可能会失去的是本地系统支持服务。人们通常会嘲笑这种愚蠢行径，但我知道，无数的新手在使用 Linux 时会发现解决 Linux 上各种问题的唯一资源就是来自网络另一端的陌生人提供的帮助。如果只是他们的 PC 遇到了一些问题，这将会比较麻烦。Windows 和 OS X 的用户已经习惯各城市遍布了支持他们操作系统的各项技术服务。

### 如何开启新旅程？ ###

这里建议大家要记住最重要的就是总要有个回退方案。如果您将 Windows 10 从硬盘中擦除，您会发现重新安装它又会花费金钱。对那些从其它 Windows 发布版本升级的用户来说尤其会遇到这种情况。请接受这个建议，对新手来说使用闪存安装 Linux 或使用 Windows 和 Linux 双系统都是更值得提倡的做法。您也许会如鱼得水般使用 Linux系统，但是有了一份回退方案，您将高枕无忧。

相反，如果数周以来您一直依赖于使用双操作系统，但是已经准备好冒险去尝试一下单操作系统，那么就去做吧。格式化您的驱动器，重新安装您喜爱的 Linux 发行版。数年来我一直都是“全职” Linux 使用爱好者，这里可以确定地告诉您，使用 Linux 系统感觉棒极了。这种感觉会持续多久？我第一次的 Linux 系统使用经验还是来自早期的 Red Hat 系统，最终在2003年，我在自己的笔记本上整个安装了 Linux 系统。

Linux 爱好者们，你们什么时候开始使用 Linux 的？您在最初更换成 Linux 系统时是兴奋还是焦虑呢？欢迎点击评论分享你们的经验。

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/is-linux-right-for-you.html

作者：[Matt Hartley][a]
译者：[icybreaker](https://github.com/icybreaker)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.datamation.com/author/Matt-Hartley-3080.html
[1]:http://www.psychocats.net/ubuntu/virtualbox
[2]:http://www.howtogeek.com/howto/14912/create-a-persistent-bootable-ubuntu-usb-flash-drive/
[3]:http://www.linuxandubuntu.com/home/dual-boot-ubuntu-15-04-14-10-and-windows-10-8-1-8-step-by-step-tutorial-with-screenshots
