30 Years of Free Software Foundation: Best Quotes of Richard Stallman
================================================================================
注：youtube 视频
<iframe width="660" height="495" src="https://www.youtube.com/embed/aIL594DTzH4?feature=oembed" frameborder="0" allowfullscreen></iframe>

**Richard Matthew Stallman** (rms) – one of biggest figure in Information Technology. He is a computer programmer and architect (GNU Compiler Collection (GCC)), GNU Debugger, Emacs), software freedom evangelist, [GNU Project][1] and [FSF][2] founder.

**GNU** is a recursive acronym “GNU’s Not Unix!”. GNU – collection of free computer software for Unix-based operation system. Can be used with GNU/Hurd and Linux kernels. Announced on September 27, 1983. General components:

- GNU Compiler Collection (GCC)
- GNU C library (glibc)
- GNU Core Utilities (coreutils)
- GNU Debugger (GDB)
- GNU Binary Utilities (binutils)
- GNU Bash shell
- NOME desktop environment

注：视频
<video src="//static.fsf.org/nosvn/FSF30-video/FSF_30_720p.webm" controls="controls" width="640" height="390"></video>

**Free Software Foundation** (FSF) – non-profit organization for free software and computer user freedom promotion and defend their rights. Read more information here. Founded on 4 October 1985.

- The freedom to run the program as you wish, for any purpose (freedom 0).
- The freedom to study how the program works, and change it so it does your computing as you wish (freedom 1). Access to the source code is a precondition for this.
- The freedom to redistribute copies so you can help your neighbor (freedom 2).
- The freedom to distribute copies of your modified versions to others (freedom 3). By doing this you can give the whole community a chance to benefit from your changes. Access to the source code is a precondition for this.

This is the Four Freedoms of free software.

Here is quotes of Richard Stallman about freedom, software, social, philosophy and others things.

**About Facebook:**

> Facebook is not your friend, it is a surveillance engine.

**About Android:**

> Android is very different from the GNU/Linux operating system because it contains very little of GNU. Indeed, just about the only component in common between Android and GNU/Linux is Linux, the kernel.

**About computer industry:**

> The computer industry is the only industry that is more fashion-driven than women's fashion.

**About cloud computing:**

> The interesting thing about cloud computing is that we've redefined cloud computing to include everything that we already do.

**About ethics:**

> Whether gods exist or not, there is no way to get absolute certainty about ethics. Without absolute certainty, what do we do? We do the best we can.

**About freedom:**

> Free software is software that respects your freedom and the social solidarity of your community. So it's free as in freedom.

**About goal and idealism:**

> If you want to accomplish something in the world, idealism is not enough - you need to choose a method that works to achieve the goal.

**About sharing:**

> Sharing is good, and with digital technology, sharing is easy.

**About facebook (extended version):**

> Facebook mistreats its users. Facebook is not your friend; it is a surveillance engine. For instance, if you browse the Web and you see a 'like' button in some page or some other site that has been displayed from Facebook. Therefore, Facebook knows that your machine visited that page.

**About web application:**

> One reason you should not use web applications to do your computing is that you lose control.
> 
> If you use a proprietary program or somebody else's web server, you're defenceless. You're putty in the hands of whoever developed that software.

**About books:**

> With paper printed books, you have certain freedoms. You can acquire the book anonymously by paying cash, which is the way I always buy books. I never use a credit card. I don't identify to any database when I buy books. Amazon takes away that freedom.

**About MPAA:**

> Officially, MPAA stands for Motion Picture Association of America, but I suggest that MPAA stands for Malicious Power Attacking All.

**About money and career:**

> I could have made money this way, and perhaps amused myself writing code. But I knew that at the end of my career, I would look back on years of building walls to divide people, and feel I had spent my life making the world a worse place.

**About proprietary software:**

> Proprietary software keeps users divided and helpless. Divided because each user is forbidden to redistribute it to others, and helpless because the users can't change it since they don't have the source code. They can't study what it really does. So the proprietary program is a system of unjust power.

**About smartphone:**

> A smartphone is a computer - it's not built using a computer - the job it does is the job of being a computer. So, everything we say about computers, that the software you run should be free - you should insist on that - applies to smart phones just the same. And likewise to those tablets.

**About CD and digital content:**

> CD stores have the disadvantage of an expensive inventory, but digital bookshops would need no such thing: they could write copies at the time of sale on to memory sticks, and sell you one if you forgot your own.

**About paradigm of competition:**

> The paradigm of competition is a race: by rewarding the winner, we encourage everyone to run faster. When capitalism really works this way, it does a good job; but its defenders are wrong in assuming it always works this way.

**About vi and emacs:**

> People sometimes ask me if it is a sin in the Church of Emacs to use vi. Using a free version of vi is not a sin; it is a penance. So happy hacking.

**About freedom and history:**

> Value your freedom or you will lose it, teaches history. 'Don't bother us with politics', respond those who don't want to learn.

**About patents:**

> Fighting patents one by one will never eliminate the danger of software patents, any more than swatting mosquitoes will eliminate malaria.
> 
> Software patents are dangerous to software developers because they impose monopolies on software ideas.

**About copyrights:**

> In practice, the copyright system does a bad job of supporting authors, aside from the most popular ones. Other authors' principal interest is to be better known, so sharing their work benefits them as well as readers.

**About pay for work:**

> There is nothing wrong with wanting pay for work, or seeking to maximize one's income, as long as one does not use means that are destructive.

**About Chrome OS:**

> In essence, Chrome OS is the GNU/Linux operating system. However, it is delivered without the usual applications, and rigged up to impede and discourage installing applications.

**About Linux users:**

> Many users of the GNU/Linux system will not have heard the ideas of free software. They will not be aware that we have ideas, that a system exists because of ethical ideals, which were omitted from ideas associated with the term 'open source.'

**About privacy in facebook:**

> If there is a Like button in a page, Facebook knows who visited that page. And it can get IP address of the computer visiting the page even if the person is not a Facebook user.

**About programming:**

> Programming is not a science. Programming is a craft.
> 
> My favorite programming languages are Lisp and C. However, since around 1992 I have worked mainly on free software activism, which means I am too busy to do much programming. Around 2008 I stopped doing programming projects.
> 
> C++ is a badly designed and ugly language. It would be a shame to use it in Emacs.

**About hacking and learn programming:**

> People could no longer learn hacking the way I did, by starting to work on a real operating system, making real improvements. In fact, in the 1980s I often came across newly graduated computer science majors who had never seen a real program in their lives. They had only seen toy exercises, school exercises, because every real program was a trade secret. They never had the experience of writing features for users to really use, and fixing the bugs that real users came across. The things you need to know to do real work.
> 
> It is hard to write a simple definition of something as varied as hacking, but I think what these activities have in common is playfulness, cleverness, and exploration. Thus, hacking means exploring the limits of what is possible, in a spirit of playful cleverness. Activities that display playful cleverness have "hack value".

**About web browsing:**

> For personal reasons, I do not browse the web from my computer. (I also have no net connection much of the time.) To look at page I send mail to a daemon which runs wget and mails the page back to me. It is very efficient use of my time, but it is slow in real time.

**About music sharing:**

> Friends share music with each other, they don't allow themselves to be divided by a system that says that nobody is supposed to have copies.

--------------------------------------------------------------------------------

via: https://tlhp.cf/fsf-richard-stallman/

作者：[Pavlo Rudyi][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://tlhp.cf/author/paul/
[1]:http://www.gnu.org/
[2]:http://www.fsf.org/